Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlSavepointHelper Class Reference

Mssql savepoint helper. More...

## Public Member Functions

| constructor (AbstractDatasource ds, __7_ string savepoint='x'+get_random_string(31))
| Creates the object.

## Protected Member Functions

| createSavepointImpl ()
| Creates the savepoint.
| deleteSavepointImpl ()
| Deletes the savepoint.
| rollbackImpl ()
| Rolls back to the savepoint.

## Detailed Description

Mssql savepoint helper.

## Member Function Documentation

## constructor()

MssqlSqlUtilBase::MssqlSavepointHelper::constructor | ( | AbstractDatasource | ds,
|  | __7_ string | savepoint = 'x'+get_random_string(31) )

Creates the object.

Note
  MS SQL Server savepoint identifiers cannot be longer than 32 character by default; the default savepoint value uses the unique hash for the object, which is 40 characters long, so we have to use another algorithm to create the savepoint string on Oracle